import 'core-js/modules/es.symbol.js';
import 'core-js/modules/es.array.filter.js';
import 'core-js/modules/es.object.get-own-property-descriptor.js';
import 'core-js/modules/es.object.get-own-property-descriptors.js';
import 'core-js/modules/es.object.keys.js';
import 'core-js/modules/es.object.to-string.js';
import 'core-js/modules/web.dom-collections.for-each.js';
import _defineProperty from '@babel/runtime/helpers/defineProperty';
import PropTypes from 'prop-types';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ChartColorPropType = {
  color: PropTypes.shape({
    gradient: PropTypes.shape({
      colors: PropTypes.arrayOf(PropTypes.string),
      enabled: PropTypes.boolean
    }),
    pairing: PropTypes.shape({
      numberOfVariants: PropTypes.number,
      option: PropTypes.number
    }),
    scale: PropTypes.shape(PropTypes.any)
  })
};
var MeterChartPropTypes = {
  content: PropTypes.shape(_objectSpread({
    peak: PropTypes.number,
    meterTotal: PropTypes.number,
    meterUnit: PropTypes.string,
    totalFormatter: PropTypes.func,
    legendPosition: PropTypes.string
  }, ChartColorPropType)),
  data: PropTypes.arrayOf(PropTypes.shape({
    group: PropTypes.string,
    value: PropTypes.number
  }))
};
var SparklineChartPropTypes = {
  content: PropTypes.shape(_objectSpread({
    xLabel: PropTypes.string,
    yLabel: PropTypes.string,
    xProperty: PropTypes.string.isRequired,
    yProperty: PropTypes.string.isRequired,
    listContent: PropTypes.arrayOf(PropTypes.shape({
      label: PropTypes.string,
      value: PropTypes.string
    }))
  }, ChartColorPropType)),
  data: PropTypes.arrayOf(PropTypes.shape({
    group: PropTypes.string.isRequired
  }))
};
var StackedAreaChartPropTypes = {
  content: PropTypes.shape(_objectSpread({
    xLabel: PropTypes.string,
    yLabel: PropTypes.string,
    xProperty: PropTypes.string.isRequired,
    xThresholds: PropTypes.arrayOf(PropTypes.shape({
      value: PropTypes.number.isRequired,
      valueFormatter: PropTypes.func,
      label: PropTypes.string,
      fillColor: PropTypes.string
    })),
    yProperty: PropTypes.string.isRequired,
    yThresholds: PropTypes.arrayOf(PropTypes.shape({
      value: PropTypes.number.isRequired,
      valueFormatter: PropTypes.func,
      label: PropTypes.string,
      fillColor: PropTypes.string
    })),
    curve: PropTypes.string,
    legendPosition: PropTypes.oneOf(['bottom', 'left', 'right', 'top'])
  }, ChartColorPropType)),
  data: PropTypes.arrayOf(PropTypes.shape({
    group: PropTypes.string.isRequired
  }))
};

export { ChartColorPropType, MeterChartPropTypes, SparklineChartPropTypes, StackedAreaChartPropTypes };
